On Fri, 4 Aug 2017 11:35:18 -0400 (EDT)
William D Clinger <w...@ccs.neu.edu> wrote:

> Looks like you forgot to build the R7RS runtime as described in
> http://www.cesura17.net/~larcenists/Nightly/doc/user-manual-alt.html#CompilingStdLibSection
===============
Getting closer.

>> uname -a
 Linux localhost 3.10.18 #1 SMP Mon Jun 5 16:52:23 PDT 2017 armv7l armv7l 
armv7l GNU/Linux

Set LARCENY_ROOT to bin-native larceny & cd to src larceny

Followed directions to first "(exit)". (see abbreviated build output, attached)

Set LARCENY_ROOT to src larceny

Built heaps

Using the newly built runtime heap, tried to compile r7rs runtime

--> Error: unhandled condition:
Compound condition has these components: 
#<record &assertion>
#<record &who>
    who : compile-library
#<record &message>
    message : "contains non-library code"
#<record &irritants>
    irritants : ("._original.sls")

Looks like the file indicated is
  lib/R6RS/err5rs/records/syntactic/._original.sls

..which seems to be an artifact of git.


Platform difference w.r.t. directory traversal ?

Should have used original native binary rather than newly build binary ?

Thanks much,
-KenD

Attachment: build.out
Description: Binary data

_______________________________________________
Larceny-users mailing list
Larceny-users@lists.ccs.neu.edu
https://lists.ccs.neu.edu/bin/listinfo/larceny-users

Reply via email to